aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeremy Thomerson <jeremy@thomersonfamily.com>2009-08-19 07:30:45 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-21 14:44:59 +0000
commitab04fd4f4ac24a8a7fdd3b76e60850e1382602b3 (patch)
treecddd3047fa12d6f0439852544f60eebbba2a5068
parent13edc75edcdcf1be52dd70fea184f3cd383e668c (diff)
downloadaports-ab04fd4f4ac24a8a7fdd3b76e60850e1382602b3.tar.gz
aports-ab04fd4f4ac24a8a7fdd3b76e60850e1382602b3.tar.bz2
aports-ab04fd4f4ac24a8a7fdd3b76e60850e1382602b3.tar.xz
main/wireshark: new aport
A free network protocol analyzer for Unix/Linux and Windows formerly known as Ethereal http://www.wireshark.org
-rw-r--r--main/wireshark/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/wireshark/APKBUILD b/main/wireshark/APKBUILD
new file mode 100644
index 0000000000..64a3849653
--- /dev/null
+++ b/main/wireshark/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Jeremy Thomerson <jeremy@thomersonfamily.com>
+# Maintainer: Jeremy Thomerson <jeremy@thomersonfamily.com>
+pkgname=wireshark
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="A free network protocol analyzer for Unix/Linux and Windows formerly known as Ethereal"
+url="http://www.wireshark.org"
+license="GPLv2"
+depends="libpcap gnutls bash heimdal"
+makedepends="bison flex perl glib glib-dev pkgconfig libpcap-dev libcap-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.bz2"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-wireshark \
+ --disable-editcap \
+ --disable-mergecap \
+ --disable-text2pcap \
+ --disable-idl2wrs \
+ --disable-dftest \
+ --disable-randpkt
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="957d1b11a6c9b305bcd106d4084ff71e wireshark-1.2.1.tar.bz2"